Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

DB2 driver warning on Pega start up

SA-7973

Summary



A warning message about driver version updates appear in the system startup log.

Error Messages



2015-03-18 14:05:19,714 [ <ID>] [ ] [ ] ( internal.access.DatabaseImpl) INFO - Driver: IBM DB2 JDBC Universal Driver Architecture
2015-03-18 14:05:19,714 [ <ID>] [ ] [ ] ( internal.access.DatabaseImpl) INFO - Driver version: 3.65.110
2015-03-18 14:05:19,714 [ <ID>] [ ] [ ] ( internal.access.DatabaseImpl) INFO - Version of JDBC supported by driver: 3.0
2015-03-18 14:05:19,714 [ <ID>] [ ] [ ] ( internal.access.DatabaseImpl) INFO - Please update your driver to take advantage of the latest database performance improvements


Steps to Reproduce



Start Pega 7.1.7 on DB2 10.1 FP4 using DB2 driver 3.65.110.

Root Cause



An issue with the third-party product integrated with PRPC. The version 4 drivers offer performance improvements.

Resolution



Perform the following local-change:
Upgrade from the 3.0 driver to the 4.0 version.

Published December 23, 2016 - Updated October 8, 2020

Was this useful?

0% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

Did you find this content helpful?

Want to help us improve this content?

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us